function getPlayer (name)
    local name = utf8.lower(name)
	local bestProcent = 0
	local fPlayer, sPos, ePos
	
	for _, player in ipairs(getElementsByType("player")) do
	    local pName = utf8.gsub(getPlayerName(player), "#%x%x%x%x%x%x", "")
		local psPos, pePos = utf8.find(utf8.lower(pName), name)
		if psPos and pePos then
		    if pePos - psPos > bestProcent then
			    bestProcent = pePos - psPos
				fPlayer = player
			end
		end
	end 
	return fPlayer or false
end

vehicles = {
    {1961.6490478516,2774.2951660156,13.224581718445},
    {1965.0457763672,2774.4187011719,13.224088668823},
}