﻿addEventHandler ("onResourceStart", resourceRoot, function ()
local pickup = createPickup (posJob, 3, 1275, 1000)
setElementInterior (pickup, intJob)
setElementDimension (pickup, dimJob)
addEventHandler ("onPickupHit", pickup, open)
for i, v in ipairs (tableTramSpawn) do
	local veh = createVehicle (TramvaiID, v[1], v[2], v[3], 0, 0, rotTramvai)
	setTrainDirection(veh, true)
	
	setTimer(function ()
    if not getVehicleOccupant(veh) then
    setTimer(respawnVehicle, 1000, 1, veh)
        end    
end, 600000, 0)
	
	setTimer (function()
	--	local trailer = createVehicle (TramvaiID, v[1], v[2], v[3], 0, 0, rotTramvai)
	--	attachTrailerToVehicle (veh, trailer)
	--	addEventHandler ("onVehicleStartEnter", trailer, enterTrailer)
	end, 100, 1)
	setElementData (veh, "startPosPol", {v[1], v[2], v[3]})
	setTrainDerailable (veh, false)
	addEventHandler ("onVehicleStartEnter", veh, enterTram)
	addEventHandler ("onVehicleEnter", veh, onEnterTramvai)
end
end)

function enterTrailer (pl, seat)
if seat == 0 then
	cancelEvent ()
end
end

function open (el)
if getElementType (el) == "player" then
	if getElementData(el, "lvl") < 7 then outputChatBox ( "Данная работа с 7 уровня.", el, 255, 0, 0, true ) return end
	if not isPedInVehicle (el) then	
		triggerClientEvent (el, "showJobTramvaiPol", el)
	end
end
end

function changeJobTram (pl, bool)
if bool == false then
	outputChatBox ("Вы уволились с работы на поливомоечном трамвае.", pl, 255, 0, 0, true)
else
	outputChatBox ("Вы устроились на работу в ТТУ Приволжска.", pl, 0, 255, 0, true)
end

setElementData (pl, "job:TramvaiPol", bool)
spawnTramvai (pl, bool)
end
addEvent ("changeJobTramPol", true)
addEventHandler ("changeJobTramPol", root, changeJobTram)

function enterTram (pl, seat)
if seat == 0 and not getElementData (pl, "job:TramvaiPol") then 
	outputChatBox("Вы не работаете на поливомоечном трамвае!", pl, 255, 0, 0)
	cancelEvent () 
end
end

function respawnTram (el)
if getElementModel (el) == TramvaiID and getElementData (el, "startPosPol") then
	setElementVelocity (el, 0, 0, 0)
	setElementPosition (el, getElementData (el, "startPosPol")[1], getElementData (el, "startPosPol")[2], getElementData (el, "startPosPol")[3])
	setElementRotation (el, 0, 0, rotTramvai)
	removeEventHandler ("onVehicleExit", el, stopJob1)
end
end


function spawnTramvai (pl, bool)
if bool == true then
else
	for i, v in ipairs (getElementsByType ("vehicle")) do
		if getElementModel (v) == TramvaiID then
			local owner = getElementData (v, "OwnerTramvai")
			if owner == pl then
				destroyElement (v)
			end
		end
	end
end
end

function stopJob1 (pl, seat)
if getElementModel (source) ~= TramvaiID then return end
if seat ~= 0 then return end
spawnTramvai (pl, false)
respawnTram (source)
removeRoute (pl)
end

function stopJob2 (pl, veh)
spawnTramvai (pl, false)
respawnTram (veh)
removeRoute (pl)
removePedFromVehicle( pl )
destroyElement (marker)
destroyElement (blip)
destroyElement (blipNext)
destroyElement (markerNext)
end
addEvent( 'endWork', true )
addEventHandler( 'endWork', root, stopJob2 )

function removeRoute (pl)
triggerClientEvent (pl, "removeRoute", pl)
end


function onEnterTramvai (pl, seat)
if seat ~= 0 then return end
addEventHandler ("onVehicleExit", source, stopJob1)
triggerClientEvent (pl, "createRouteTramPol", pl)
end

function giveMoney (pl, money)
givePlayerMoney (pl, tonumber(money))
end
addEvent ("Tramvai:giveMoney12", true)
addEventHandler ("Tramvai:giveMoney12", root, giveMoney)

function giveExp (pl, exp)
setElementData(pl,"exp",getElementData(pl,"exp")+exp)
end
addEvent ("Tramvai:giveExp", true)
addEventHandler ("Tramvai:giveExp", root, giveMoney)

function freeze (el, bool)
setElementFrozen (el, bool)
end
addEvent ("Tramvai:freeze", true)
addEventHandler ("Tramvai:freeze", root, freeze)