﻿local vehPositions = {
{950.69976806641,-394.78915405273,9.6550331115723},
{958.51342773438,-371.26742553711,9.6498603820801},
{958.46392822266,-377.27542114258,9.6358661651611},
}

local numberSymbols =
{
	'A',
	'B',
	'C',
	'Y',
	'O',
	'P',
	'T',
	'E',
	'X',
	'M',
	'H',
	'K'
}

function start_Garbage(player)
    setElementData(player,"Мусоровоз_скин_до",getElementModel(player))
    setElementModel(player,103)
    randomVeh = math.random (1,2)
    local veh = createVehicle(443,vehPositions[randomVeh][1], vehPositions[randomVeh][2], vehPositions[randomVeh][3], 0, 0, 270)
    local s1 = numberSymbols[math.random(1,#numberSymbols)]
    local s2 = numberSymbols[math.random(1,#numberSymbols)]
    local s3 = numberSymbols[math.random(1,#numberSymbols)]
    local num = math.random(100,999)
    local region =  math.random(10,99)
    setElementData(veh,"numberType","ru")
    setElementData(veh,"number:plate",s1..num..s2..s3..region)
    setElementData(player,"Мусоровоз_машина",veh)
    setElementData(veh,"Мусоровоз_машина_пациент",0)
    warpPedIntoVehicle(player,veh)
    setElementData(veh, "vehicle:Work", true)
    setElementData(veh, "vehicle:Work:Owner", player)
end
addEvent("start_Garbage", true)
addEventHandler("start_Garbage", getRootElement(), start_Garbage)

function enterVehicle ( player )
    local data = getElementData(source, "vehicle:Work")
	if not data then return end
	
	local owner = getElementData(source, "vehicle:Work:Owner")
	if owner ~= player then
	    cancelEvent()
        outputChatBox("Это не ваш транспорт.",player,255,255,255,true)
	end
end
addEventHandler ( "onVehicleStartEnter", getRootElement(), enterVehicle )

function stop_Garbage(player)
    local state = getElementData(player,"Мусоровоз_работает")
    local veh0 = getElementData(player,"Мусоровоз_машина")
    if state then
        if veh0 then
            destroyElement(veh0)
            setElementData(player,"Мусоровоз_машина",nil)
        end
    end
    setElementModel(player,getElementData(player,"Мусоровоз_скин_до"))
    triggerClientEvent("deleteMarkerGarbage",player,player)
    triggerClientEvent("deleteMarkerGarbage2",player,player)
end
addEvent("stop_Garbage", true)
addEventHandler("stop_Garbage", getRootElement(), stop_Garbage) 

function giveMoneyGarbage(player, summa)
    local state = getElementData(player,"Мусоровоз_работает")
    if state then
        givePlayerMoney(player, summa)
        outputChatBox("#FFFF00[Диспетчер] #FFFFFFВаша зарплата #00FF00"..summa.." #FFFFFFруб.",player,255,255,255,true)
    end
end
addEvent("giveMoneyGarbage", true)
addEventHandler("giveMoneyGarbage", getRootElement(), giveMoneyGarbage) 

function job_quit_Garbage()
    local player = source
    local state = getElementData(player,"Мусоровоз_работает")
    if state then
        local veh0 = getElementData(player,"Мусоровоз_машина")
        if veh0 then
            destroyElement(veh0)
			setElementData(player,"Мусоровоз_машина",nil)
        end
    end
end
addEventHandler("onPlayerQuit", root, job_quit_Garbage)

function onVehicleStartEnter( player, seat, jacked )
local veh = source
local pveh = getElementData(player,"Мусоровоз_машина")
    if veh == pveh then
        setElementData(player,"Уничтожение_Мусоровоза",nil)
    end
end
addEventHandler ( "onVehicleStartEnter", getRootElement(), onVehicleStartEnter)

function onPlayerTake ()
	setPedAnimation(source, "BOMBER","BOM_Plant",-1,true,false,false,false)
		
	setTimer(
		function (source)
			local pos = createObject(1265, 0, 0, 0)
			setObjectScale(pos, 0.7)
			setElementCollisionsEnabled (pos, false)
			attachElements(pos, source, 0, 0.4, 0.5)
			setElementData(source, "attachedd", pos)
			setPedAnimation (source, false)
		end, 1500, 1, source
	)
end
addEvent("onPlayerTake", true)
addEventHandler("onPlayerTake", getRootElement(), onPlayerTake)

function onPlayerPut()
    setPedAnimation(source, "BOMBER","BOM_Plant",-1,true,false,false,false)
    
	local pos = getElementData(source, "attachedd")
	if isElement(pos) then
      	destroyElement(pos)
	end
	setTimer(
		function (source)
			setPedAnimation (source, false)
		end, 1500, 1, source
	)
end
addEvent("onPlayerPut", true)
addEventHandler("onPlayerPut", getRootElement(), onPlayerPut)

setTimer(function()
for lol,player in ipairs(getElementsByType("player")) do
    local pveh = getElementData(player,"Мусоровоз_машина")
    if pveh then
        local driverA = getVehicleOccupant(pveh)
        if driverA == player then
            if getElementData(player,"Уничтожение_Мусоровоза") then
                setElementData(player,"Уничтожение_Мусоровоза",nil)
            end
        else
            if getElementData(player,"Уничтожение_Мусоровоза") then
                setElementData(player,"Уничтожение_Мусоровоза",tonumber(getElementData(player,"Уничтожение_Мусоровоза")) - 1)
                if tonumber(getElementData(player,"Уничтожение_Мусоровоза")) < 0 then
                    setElementData(player,"Уничтожение_Мусоровоза",nil)
                    stop_Garbage(player)
                    outputChatBox("Вы покинули рабочий транспорт. Работа окончена.",player,255,255,255,true)
                end
            end
        end
   end
end
end,1000,0)

function onVehicleExit(player,seat)
    if seat == 0 then
        local pveh = getElementData(player,"Мусоровоз_машина")
        if source == pveh then
            setElementData(player,"Уничтожение_Мусоровоза",30)
        end
    end
end
addEventHandler("onVehicleExit", getRootElement(), onVehicleExit)

function onPlayerWasted()
    giveMoneyGarbage(source)
end
addEventHandler("onPlayerWasted", getRootElement(), onPlayerWasted)

function onPlayerQuit()
    giveMoneyGarbage(source)
end
addEventHandler("onPlayerQuit", getRootElement(), onPlayerQuit)