﻿addEventHandler("onClientResourceStart", resourceRoot, function() -- Загрузка модели топора
    local txd = engineLoadTXD("files/txd.txd", 321)
    engineImportTXD(txd, 321)
    local dff = engineLoadDFF("files/dff.dff", 321)
    engineReplaceModel(dff, 321)
end)

--------------------------------------------[Устройство]
local entradaB = createMarker(-2835.1694335938,2770.4326171875,2.3552207946777, "cylinder", 1, 255, 255, 255, 0)

addEventHandler( "onClientRender", root, function (  )
       local x, y, z = getElementPosition( entradaB )
       local Mx, My, Mz = getCameraMatrix(   )
        if ( getDistanceBetweenPoints3D( x, y, z, Mx, My, Mz ) <= 20 ) then
           local WorldPositionX, WorldPositionY = getScreenFromWorldPosition( x, y, z +1, 0.07 )
            if ( WorldPositionX and WorldPositionY ) then
			    dxDrawText("Работа лесоруба", WorldPositionX - 1, WorldPositionY + 1, WorldPositionX - 1, WorldPositionY + 1, tocolor(0, 0, 0, 255), 1.52, "default-bold", "center", "center", false, false, false, false, false)
			    dxDrawText("Работа лесоруба", WorldPositionX - 1, WorldPositionY + 1, WorldPositionX - 1, WorldPositionY + 1, tocolor(255, 255, 255, 255), 1.50, "default-bold", "center", "center", false, false, false, false, false)
            end
      end
end)
---------------------------------------------

money = math.random(5000,5000)
local kolvo = { -- Координаты маркера, зарплата, опыт, вид дерева, id дерева
{-2768.0405273438,2796.5815429688,2.3316872024536,money,"сосну",615},
{-2764.8166503906,2806.9116210938,2.3316872024536,money,"ель",889},
{-2756.0319824219,2816.1853027344,2.3338124656677,money,"клен",778},
{-2745.4558105469,2813.7607421875,2.3338124656677,money,"сосну",615},
{-2737.4079589844,2807.3410644531,2.3338124656677,money,"ель",889},
{-2727.5600585938,2815.3918457031,2.3338124656677,money,"клен",778},
{-2735.8771972656,2825.7060546875,2.233820438385,money,"сосну",615},
{-2754.6533203125,2796.0744628906,2.3316872024536,money,"сосну",615},
}

local pickupLes = { -- Маркер устройства
{-2835.1694335938,2770.4326171875,2.3552207946777},
}

local markerSklad = { -- Склад
{-2800.8168945313,2784.173828125,2.3533763885498},
}

local allSkins = getValidPedModels()

for a=1,#pickupLes do
    local x,y,z = pickupLes[a][1],pickupLes[a][2],pickupLes[a][3]
    local marker = createPickup(x, y, z, 3, 1275)
    setElementData(marker,"Медик_маркер_устроиться",a)
    local blip = createBlip(x, y, z, 12, 2)
    setBlipVisibleDistance(blip, 400)
end

local sw,sh = guiGetScreenSize()
local window={}
local label={}
local button={}

window[1] = guiCreateWindow((sw-550)/2,(sh-300)/2,600,120,"Лесоруб",false)
label[0] = guiCreateLabel(0,25,590,480,"Добро пожаловать на работу лесоруба. \nВаша задача рубить деревья и относить дрова на склад.",false,window[1])
guiSetFont(label[0], "default-bold-small")
guiLabelSetHorizontalAlign(label[0], "center", false)
button[1] = guiCreateButton(20,70,200,30,"...",false,window[1])
button[2] = guiCreateButton(380,70,200,30,"Закрыть",false,window[1])
guiSetVisible(window[1],false)
guiWindowSetSizable(window[1], false)
guiWindowSetMovable(window[1], false)

function createLes(player)
    if player == getLocalPlayer() then
        local skin = allSkins[math.random(1,#allSkins)]
        local d = math.random(1,#kolvo)
        local x,y,z = kolvo[d][1],kolvo[d][2],kolvo[d][3]
        setElementData(player,"Лесоруб_Деньги",kolvo[d][4])
        setElementData(player,"les_vid",kolvo[d][5])
        local blip = createBlip(x,y,z,41,3)
        setElementData(player,"blip",blip)
        local marker = createMarker( x, y, z-0.85, "cylinder", 2, 0, 255, 0, 180)
        setElementData(marker,"marker_les",true)
        setElementData(player,"marker_les",marker)
        local obj = createObject(kolvo[d][6], x, y, z-0.85)
        setElementData(player,"obj_les",obj)
    end
end

function deleteLes(player)
    if player == getLocalPlayer() then
        local blip = getElementData(player,"blip")
        local marker = getElementData(player,"marker_les")
        local obj = getElementData(player,"obj_les")
        if marker then
            if isElement(marker) then destroyElement(marker) end
        end
        if obj then
            if isElement(obj) then destroyElement(obj) end
        end
        if blip then
            if isElement(blip) then destroyElement(blip) end
        end
    end
end

function createLes2(player)
    if player == getLocalPlayer() then
        local a1 = getElementData(player,"Медик_работает_номер")
        local x,y,z = markerSklad[a1][1],markerSklad[a1][2],markerSklad[a1][3]
        local marker2 = createMarker(x, y, z-1, "cylinder", 2, 0, 255, 0, 180)
        local blip = createBlip(x,y,z,41,3)
        setElementData(player,"blip",blip)
        setElementData(marker2,"Медик_маркер_чекпоинт",a1)
        setElementData(player,"Медик_маркер_чекпоинт",marker2)
    end
end

function deleteLes2(player)
    if player == getLocalPlayer() then
        local marker = getElementData(player,"Медик_маркер_чекпоинт")
        local blip = getElementData(player,"blip")
        if marker then
            if isElement(marker) then destroyElement(marker) end
        end
        if blip then
            if isElement(blip) then destroyElement(blip) end
        end
    end
end

function startClick()
    local player = getLocalPlayer()
    if (source == button[1]) then
        guiSetVisible(window[1],false)
        showCursor(false)
        local state = getElementData(player,"les_job")
        local a1 = getElementData(player,"Медик_маркер_устроиться")
        if not state then
            setElementData(player,"Медик_скин_до",getElementModel(player))
            setElementModel(player,27)
            setElementData(player,"les_job",0)
            setElementData(player,"Медик_работает_номер",a1)
            setElementData(player,"kolvo_xodok",0)
            createLes(player)
            triggerServerEvent("onPlayerWeapon",player,player)
            outputChatBox("#FFA500[Лесоруб] #FFFFFFВы начали работу. Следуйте к метке.",255,255,255,true)
            changeWalkSettings(false)
        else
            local hodok = tonumber(state)
            local profit = getElementData(player,"Лесоруб_Прибавление")
            if not profit then profit = 0 end
            
            setElementData(player,"Лесоруб_Прибавление",nil)
            setElementData(player,"Лесоруб_Деньги",nil)
            setElementModel(player,getElementData(player,"Медик_скин_до"))
            deleteLes(player)
            deleteLes2(player)
            triggerServerEvent("giveMoneyLes",player,player,profit)
            setElementData(player,"les_job",nil)
            setElementData(player,"Медик_работает_номер",nil)
            changeWalkSettings(true)
        end
    elseif (source == button[2]) then
        guiSetVisible(window[1],false)
        showCursor(false)
    end
end
addEventHandler("onClientGUIClick", getRootElement(), startClick)

function onClientPickupHit(player)
    if player == getLocalPlayer() then
        local veh = getPedOccupiedVehicle(player)
        local state = getElementData(player,"les_job")
        local a1 = getElementData(source,"Медик_маркер_устроиться")
        if a1 then
            if not veh then
                guiSetVisible(window[1],true)
                showCursor(true)
                setElementData(player,"Медик_маркер_устроиться",a1)
                if not state then
                    guiSetText(button[1],"Начать")
                else
                    guiSetText(button[1],"Завершить")
                end
            end
        end
    end
end
addEventHandler("onClientPickupHit", getRootElement(), onClientPickupHit)

function onClientMarkerHit(player, mdim )
    if player == getLocalPlayer() then
        if mdim then
            local veh = getPedOccupiedVehicle(player)
            local state = getElementData(player,"les_job")
            if getElementData(source,"marker_les") then
                if not veh then
                    setElementFrozen(player,true)
                    triggerServerEvent("createObj", player, player)
                        setTimer(function()
                            if isElement(player) and getElementData(player,"les_job") then
                                deleteLes(player)
                                setElementFrozen(player,false)
                                createLes2(player)
                                setElementData(player,"kolvo_xodok",tonumber(getElementData(player,"kolvo_xodok")) + 1)
                                local al = getElementData(player,"les_vid")
                                outputChatBox("#FFA500[Лесоруб] #FFFFFFВы успешно срубили "..al..". Отнесите срубленные дрова на склад.",255,255,255,true)
                                triggerServerEvent("onPlayerWeaponTake",player,player)
                            end
                        end,1500,1)
                end
            elseif getElementData(source,"Медик_маркер_чекпоинт") then
                if not veh then
                    local kolvo = tonumber(getElementData(player,"kolvo_xodok"))
                    if kolvo > 0 then
                        setElementData(player,"les_job",tonumber(state) + kolvo)
                        setElementData(player,"kolvo_xodok",0)
                        if not getElementData(player,"Лесоруб_Прибавление") then
                            setElementData(player,"Лесоруб_Прибавление",0)
                        end
                        if not getElementData(player,"Лесоруб_Деньги") then setElementData(player,"Лесоруб_Деньги",0) end
                        setElementData(player,"Лесоруб_Прибавление",getElementData(player,"Лесоруб_Прибавление") + getElementData(player,"Лесоруб_Деньги"))
                        deleteLes2(player)
                        triggerServerEvent("deleteObj", player, player)
                        setElementFrozen(player,true)
                        setTimer(function()
                            createLes(player)
                            setElementFrozen(player,false)
                            outputChatBox("#FFA500[Лесоруб] #FFFFFFДрова отправлены на переработку. Отправляйтесь за новым видом дерева.",255,255,255,true)
                            triggerServerEvent("onPlayerWeapon",player,player)
                        end, 3000, 1)
                    end
                end
            end
        end
    end
end
addEventHandler("onClientMarkerHit", getRootElement(), onClientMarkerHit )

function changeWalkSettings (arg)
    toggleControl("sprint", arg)
    toggleControl("jump", arg)
    toggleControl("aim_weapon", arg)
    toggleControl("next_weapon", arg)
    toggleControl("previous_weapon", arg)
    toggleControl("fire", arg)
    toggleControl("enter_exit", arg)
end 

function QuitLes()
    local player = source
	    if player == getLocalPlayer() then
        local state = getElementData(player,"les_job")
        if state then
            local profit = getElementData(player,"Лесоруб_Прибавление")
            if not profit then profit = 0 end
        
            setElementData(player,"Лесоруб_Прибавление",nil)
            setElementData(player,"Лесоруб_Деньги",nil)
            setElementModel(player,getElementData(player,"Медик_скин_до"))
            deleteLes(player)
            deleteLes2(player)
            triggerServerEvent("giveMoneyLes",player,player,profit)
            outputChatBox("#FFA500[Лесоруб] #FFFFFFВаша зарплата #00FF00"..profit.." #FFFFFFруб.",255,255,255,true)
        end
	end
end
addEventHandler("onClientPlayerWasted", root, QuitLes)