﻿function onPlayerWeapon()
    giveWeapon(source, 10)
    setPedWeaponSlot(source, 10)
end
addEvent("onPlayerWeapon", true)
addEventHandler("onPlayerWeapon", getRootElement(), onPlayerWeapon)

function onPlayerWeaponTake()
    takeWeapon(source, 10)
    setPedWeaponSlot(source, 0)
end
addEvent("onPlayerWeaponTake", true)
addEventHandler("onPlayerWeaponTake", getRootElement(), onPlayerWeaponTake)

function createObj ()
	setPedAnimation(source, "BASEBALL","Bat_M",-1,true,false,false,false)
		
	setTimer(
		function (source)
			local wood = createObject(1463, 0, 0, 0)
			setObjectScale(wood, 0.3)
			setElementCollisionsEnabled (wood, false)
			attachElements(wood, source, 0, 0.5, 0.2)
			setElementData(source, "attached", wood)
			setPedAnimation (source, false)
		end, 1500, 1, source
	)
end
addEvent("createObj", true)
addEventHandler("createObj", getRootElement(), createObj)

function deleteObj()
    setPedAnimation(source, "BOMBER","BOM_Plant",-1,true,false,false,false)
    
	local wood = getElementData(source, "attached")
	if isElement(wood) then
      	destroyElement(wood)
	end
	setTimer(
		function (source)
			setPedAnimation (source, false)
		end, 1500, 1, source
	)
end
addEvent("deleteObj", true)
addEventHandler("deleteObj", getRootElement(), deleteObj)

function giveMoneyLes(player, summa)
    local state = getElementData(player,"les_job")
    if state then
        givePlayerMoney(player, summa)
        outputChatBox("#FFA500[Лесоруб] #FFFFFFВаша зарплата #00FF00"..summa.." #FFFFFFруб.",player,255,255,255,true)
    end
end
addEvent("giveMoneyLes", true)
addEventHandler("giveMoneyLes", getRootElement(), giveMoneyLes) 

function onPlayerWasted()
    giveMoneyLes(source)
end
addEventHandler("onPlayerWasted", getRootElement(), onPlayerWasted)

function onPlayerQuit()
    giveMoneyLes(source)
end
addEventHandler("onPlayerQuit", getRootElement(), onPlayerQuit)