﻿function endJob(player)
    local playeraccount = getPlayerAccount ( player )
    if ( playeraccount ) and not isGuestAccount ( playeraccount ) then
        local stateSam = getElementData(player,"Работает_Самосвал")
        local zp = tonumber(getElementData(player,"Работает_Самосвал_ЗП"))
        local zpMa = tonumber(getElementData(player,"Работает_Самосвал_ЗПУ"))
        if stateSam then
            givePlayerMoney(player,zp)
            setElementData(player,"Работает_Самосвал",nil)
            setElementData(player,"Работает_Самосвал_ЗП",nil)
            setElementData(player,"Работает_Самосвал_ЗПУ",nil)
            setElementModel(player,getElementData(player,"Самосвал_Скин_До"))
            
            local veh = getElementData(player,"Самосвал_Его_Машина")
            if veh then
                if isElement(veh) then
                    job_gruz_remove(veh)
                    destroyElement(veh)
                end
            end
            setElementData(player,"Самосвал_Его_Машина",nil)
            exports.PopupSys:Draw("Вы закончили работу и получили #00FF00"..zp.." #FFFFFFруб. и #00FF00"..zpMa.." #FFFFFFопыта.",player,"Info")
            
            triggerClientEvent("job_c_stop",player,player)
        end
    end
end

function startJob(player)
    local playeraccount = getPlayerAccount ( player )
    if ( playeraccount ) and not isGuestAccount ( playeraccount ) then
        local stateSam = getElementData(player,"Работает_Самосвал")
        local zp = tonumber(getElementData(player,"Работает_Самосвал_ЗП"))
        local zpMa = tonumber(getElementData(player,"Работает_Самосвал_ЗПУ"))
        if not stateSam then
            setElementData(player,"Работает_Самосвал",true)
            setElementData(player,"Работает_Самосвал_ЗП",0)
            setElementData(player,"Работает_Самосвал_ЗПУ",0)
            setElementData(player,"Самосвал_Скин_До",getElementModel(player))
            setElementModel(player,27)
            local veh = createVehicle(455,2021.7630615234,2369.2309570313,14.481287956238,0,0,180)
			setElementData(veh, "vehicle:Work", true)
			setElementData(veh, "vehicle:Work:Owner", player)
            warpPedIntoVehicle(player,veh)
            setElementData(player,"Самосвал_Его_Машина",veh)
            setElementData(veh,"Самосвал_Его_Рабочий",player)
            outputChatBox('Вы начали работу водителем самосвала.', player, 0, 255, 0, true)
            outputChatBox('Новый груз отмечен на карте, отправляйтесь за ним.', player, 0, 255, 0, true)
            triggerClientEvent("job_c_start",player,player)
            setElementData(player,"До_Удаления_Таймер_Самосвал",nil)
        end
    end
end

function enterVehicle ( player )
    local data = getElementData(source, "vehicle:Work")
	if not data then return end
	
	local owner = getElementData(source, "vehicle:Work:Owner")
	if owner ~= player then
	    cancelEvent()
        outputChatBox('Это не ваш транспорт.', player, 255, 0, 0, true)
	end
end
addEventHandler ( "onVehicleStartEnter", getRootElement(), enterVehicle )

function job_start_stop(player) 
    local playeraccount = getPlayerAccount ( player )
    if ( playeraccount ) and not isGuestAccount ( playeraccount ) then
        local stateSam = getElementData(player,"Работает_Самосвал")
        if stateSam then
            if getElementData(player,"Работает_Возит_Груз") then
                outputChatBox('Сначала отвезите груз!', player, 255, 0, 0, true)
            end
            endJob(player)
        else
            startJob(player)
        end
    end
end 
addEvent( "job_start_stop", true ) 
addEventHandler( "job_start_stop", getRootElement(), job_start_stop)

function onVehicleStartEnter( player, seat, jacked )
    local veh = source
    if seat == 0 then
        local stateSam = getElementData(player,"Работает_Самосвал")
        if stateSam then
            if getElementData(player,"Самосвал_Его_Машина") == veh then
                setElementData(player,"До_Удаления_Таймер_Самосвал",nil)
            end
        end
    end
end
addEventHandler ( "onVehicleStartEnter", getRootElement(),onVehicleStartEnter)

function onVehicleStartExit( player, seat, jacked )
    local veh = source
    if seat == 0 then
        local stateSam = getElementData(player,"Работает_Самосвал")
        if stateSam then
            if getElementData(player,"Самосвал_Его_Машина") == veh then
                if getElementData(player,"Работает_Возит_Груз") then
                    outputChatBox('Сначала отвезите груз!', player, 255, 0, 0, true)
                    cancelEvent()
                end
            end
        end
    end
end
addEventHandler ( "onVehicleStartExit", getRootElement(),onVehicleStartExit)

function job_gruz_add(veh,a1,a2,a3,a4,a5,a6,a7,a8,a9)
    local obj = createObject(a2,a3,a4,a5)
    setObjectScale(obj,a6)
    setElementCollisionsEnabled(obj,false)
    setElementData(veh,"Самосвал_Груз",obj)
    attachElements(obj,veh,a3,a4,a5,a7,a8,a9)
end
addEvent( "job_gruz_add", true ) 
addEventHandler( "job_gruz_add", getRootElement(), job_gruz_add)

function job_gruz_remove(veh)
    local obj = getElementData(veh,"Самосвал_Груз")
    if obj then
        destroyElement(obj)
    end
end 
addEvent( "job_gruz_remove", true ) 
addEventHandler( "job_gruz_remove", getRootElement(), job_gruz_remove)

setTimer(function()
for i,player in ipairs(getElementsByType("player")) do
    local stateSam = getElementData(player,"Работает_Самосвал")
    if stateSam then
        if getElementData(player,"До_Удаления_Таймер_Самосвал") then
            setElementData(player,"До_Удаления_Таймер_Самосвал",tonumber(getElementData(player,"До_Удаления_Таймер_Самосвал")) - 1)
            if getElementData(player,"До_Удаления_Таймер_Самосвал") < 0 then
                setElementData(player,"До_Удаления_Таймер_Самосвал",nil)
                endJob(player)
            end
        end
    end
end
end,1000,0)

function onVehicleExit(player, seat, jacked )
    local veh = source
    if seat == 0 then
        local stateSam = getElementData(player,"Работает_Самосвал")
        if stateSam then
            if getElementData(player,"Самосвал_Его_Машина") == veh then
                setElementData(player,"До_Удаления_Таймер_Самосвал",60)
                outputChatBox('Если вы не вернетесь в транспорт, через 60 сек. он будет убран.', player, 255, 0, 0, true)
            end
        end
    end
end
addEventHandler ( "onVehicleExit", getRootElement(),onVehicleExit)

function onVehicleExplode()
    local veh = source
    job_gruz_remove(veh)
end
addEventHandler("onVehicleExplode", getRootElement(), onVehicleExplode)

function onPlayerWasted()
    endJob(source)
end
addEventHandler ( "onPlayerWasted", getRootElement(),onPlayerWasted)

function onPlayerQuit()
    endJob(source)
end
addEventHandler ( "onPlayerQuit", getRootElement(),onPlayerQuit)