﻿addEventHandler ("onResourceStart", resourceRoot, function ()
local pickup = createPickup (posJob, 3, 1275, 1000)
setElementInterior (pickup, intJob)
setElementDimension (pickup, dimJob)
addEventHandler ("onPickupHit", pickup, open)
for i, v in ipairs (tableBusPos) do
	local veh = createVehicle (busID, v[1], v[2], v[3], 0, 0, rotBus)
	setElementData (veh, "startPos", {v[1], v[2], v[3]})
	addEventHandler ("onVehicleStartEnter", veh, enterBus)
	addEventHandler ("onVehicleEnter", veh, onEnterBus)
	setTimer(function ()
    if not getVehicleOccupant(veh) then
    setTimer(respawnVehicle, 1000, 1, veh)
    setVehicleEngineState (veh, false)
        end    
end, 300000, 0)
	
end
end)

function open (el)
if getElementType (el) == "player" then
	if getElementData(el, "lvl") < 2 then outputChatBox ( "Данная работа со 2 уровня.", el, 255, 0, 0, true ) return end
	if not isPedInVehicle (el) then	
		triggerClientEvent (el, "showJobBus1", el)
	end
end
end

function changeJob2 (pl, bool)
if bool == false then
	outputChatBox ("Вы закончили работу водителем автобуса", pl, 255, 0, 0, true)
else
	outputChatBox ("Вы устроились на работу водителем автобуса", pl, 0, 255, 0, true)
end

setElementData (pl, "job:Bus1", bool)
end
addEvent ("changeJob6", true)
addEventHandler ("changeJob6", root, changeJob2)

function enterBus (pl, seat)
if seat == 0 and not getElementData (pl, "job:Bus1") then 
	outputChatBox("Вы не работаете водителем автобуса!", pl, 255, 0, 0) 
	cancelEvent () 
end
end

function respawnBus (el)
if getElementModel (el) == busID and getElementData (el, "startPos") then
	setElementVelocity (el, 0, 0, 0)
	setElementPosition (el, getElementData (el, "startPos")[1], getElementData (el, "startPos")[2], getElementData (el, "startPos")[3])
	setElementRotation (el, 0, 0, rotBus)
	removeEventHandler ("onVehicleExit", el, stopJob)
end
end

function spawnBus (pl, bool)
if bool == true then
else
	for i, v in ipairs (getElementsByType ("vehicle")) do
		if getElementModel (v) == busID then
			local owner = getElementData (v, "OwnerBus1")
			if owner == pl then
				destroyElement (v)
			end
		end
	end
end
end

function stopJob (pl, seat)
if seat ~= 0 then return end
respawnBus (source)
removeRoute (pl)
end

function removeRoute (pl)
triggerClientEvent (pl, "removeRoute", pl)
end

function onEnterBus (pl, seat)
if seat == 0 then
	showRoute (pl, seat)
	addEventHandler ("onVehicleExit", source, stopJob)
	local owner = getElementData (source, "OwnerBus1")
	if owner ~= pl then
		cancelEvent ()
	end
end
end

function showRoute (pl, seat)
if seat ~= 0 then return end
triggerClientEvent (pl, "openRouteBus1", pl)
end

function giveMoney (pl, money)
givePlayerMoney (pl, tonumber(money))
end
addEvent ("Bus1:giveMoney", true)
addEventHandler ("Bus1:giveMoney", root, giveMoney)

function giveExp (pl, exp)
setElementData(pl,"exp",getElementData(pl,"exp")+exp)
end
addEvent ("Bus1:giveExp", true)
addEventHandler ("Bus1:giveExp", root, giveMoney)