﻿
--------------------------------------------[Устройство]
local dxMarker = createMarker(pickupUs[1],pickupUs[2],pickupUs[3]-0.4, "cylinder", 1, 255, 255, 255, 0)

addEventHandler( "onClientRender", root, function ()
       local x, y, z = getElementPosition(dxMarker)
       local Mx, My, Mz = getCameraMatrix()
        if (getDistanceBetweenPoints3D(x, y, z, Mx, My, Mz) <= 20) then
           local WorldPositionX, WorldPositionY = getScreenFromWorldPosition(x, y, z +1, 0.07)
            if (WorldPositionX and WorldPositionY) then
			    dxDrawText("Теплоход", WorldPositionX - 1, WorldPositionY + 1, WorldPositionX - 1, WorldPositionY + 1, tocolor(0, 0, 0, 255), 1.52, "default-bold", "center", "center", false, false, false, false, false)
			    dxDrawText("Теплоход", WorldPositionX - 1, WorldPositionY + 1, WorldPositionX - 1, WorldPositionY + 1, tocolor(255, 255, 255, 255), 1.50, "default-bold", "center", "center", false, false, false, false, false)
            end
      end
end 
)
---------------------------------------------

local allSkins = getValidPedModels()

local pickupUs = createPickup(pickupUs[1],pickupUs[2],pickupUs[3], 3, 1275, 50)
local blip = createBlipAttachedTo(pickupUs, 9)
setBlipVisibleDistance(blip, 400)

function centerWindow ( center_window )
	local sx, sy = guiGetScreenSize ( )
	local windowW, windowH = guiGetSize ( center_window, false )
	local x, y = ( sx - windowW ) / 2, ( sy - windowH ) / 2
	guiSetPosition ( center_window, x, y, false )
end

local sw,sh = guiGetScreenSize()
local window={}
local label={}
local button={}

wndCon = guiCreateWindow(0,0,600,110,"Работа на теплоходе",false)
centerWindow(wndCon)

labeCon = guiCreateLabel(0,25,590,50,"Добро пожаловать на работу водителя теплохода.\nВаша задача проводить прогулочные рейсы.",false,wndCon)
guiSetFont(labeCon, "default-bold-small")
guiLabelSetHorizontalAlign(labeCon, "center", false)

buttonCon1 = guiCreateButton(20,70,200,30,"...",false,wndCon)
buttonCon2 = guiCreateButton(380,70,200,30,"Закрыть",false,wndCon)
guiSetVisible(wndCon,false)

local markerState = 1
function getMarkerCurrentState ()
    return markerState
end

function updateMarkerCurrentState ()
    markerState = markerState + 1
end

function restoreMarkerCurrentState ()
    markerState = 1
end

function isMarchEnd ()
	if getMarkerCurrentState () >= #Customer then
	    return true
	else
	    return false
	end
end

function createMarkerShip(player)
    if player == getLocalPlayer() then
        m = Customer[ getMarkerCurrentState () ]
		updateMarkerCurrentState ()
        local marker = createMarker(m[1],m[2],m[3]-1, "checkpoint", 8, 255, 255, 0, 180)
        setElementData(marker,"Теплоход_маркер_пациент",true)
        setElementData(player,"Теплоход_маркер_пациент",marker)
        local blip = createBlipAttachedTo(marker, 41)
        setElementData(player,"Теплоход_пациент_блип",blip)
    end
end

function deleteMarkerShip(player)
    if player == getLocalPlayer() then
        local blip = getElementData(player,"Теплоход_пациент_блип")
        local marker = getElementData(player,"Теплоход_маркер_пациент")
        if marker then
            if isElement(marker) then destroyElement(marker) end
        end
        if blip then
            if isElement(blip) then destroyElement(blip) end
        end
    end
end
addEvent("deleteMarkerShip", true)
addEventHandler("deleteMarkerShip", getRootElement(), deleteMarkerShip)

function startClick()
    local player = getLocalPlayer()
    if (source == buttonCon1) then
        guiSetVisible(wndCon,false)
        showCursor(false)
        local state = getElementData(player,"Теплоход_работает")
        if not state then
            setElementData(player,"Теплоход_работает",0)
            setElementData(player,"teploKolvo",0)
            createMarkerShip(player)
            outputChatBox("#00FF00[Диспетчер] #FFFFFFВы начали работу. Следуйте к метке.",255,255,255,true)
            
            setElementData(player,"Теплоход_скин_до",getElementModel(player))
            setElementModel(player,55)
            setElementData(player,"Теплоход_машина_пациент",0)
            setElementData(player,"Заработано_Сейчас_Теп",moneyCon)
            triggerServerEvent("start_ship",player,player)
        else
            local hodok = tonumber(state)
            local profit = getElementData(player,"Заработано_Всего_Теп")
            if not profit then profit = 0 end
            
            setElementData(player,"Заработано_Всего_Теп",nil)
            setElementData(player,"Заработано_Сейчас_Теп",nil)
            triggerServerEvent("stop_ship",player,player)
            triggerServerEvent("giveMoneyShip",player,player,profit)
            setElementData(player,"Теплоход_работает",nil)
            
            setElementModel(player,getElementData(player,"Теплоход_скин_до"))
            deleteMarkerShip(player)
        end
    elseif (source == buttonCon2) then
        guiSetVisible(wndCon,false)
        showCursor(false)
    end
end
addEventHandler("onClientGUIClick", getRootElement(), startClick)

function onClientMarkerHit(player, mdim )
    if player == getLocalPlayer() then
        if mdim then
            local veh = getPedOccupiedVehicle(player)
            local state = getElementData(player,"Теплоход_работает")
            if getElementData(source,"Теплоход_маркер_пациент") then
                if veh then
                    setElementFrozen(veh,true)
                    setElementData(player,"Теплоход_машина_пациент",tonumber(getElementData(player,"Теплоход_машина_пациент")) + 1)
                    outputChatBox("#FFFF00[Диспетчер] #FFFFFFОжидайте..",255,255,255,true)
                    
                    setTimer(function()
                        if isElement(player) and getElementData(player,"Теплоход_работает") then
                            local pacienty = tonumber(getElementData(player,"Теплоход_машина_пациент"))
                            if pacienty > 0 then
                                setElementData(player,"Теплоход_работает",tonumber(state) + pacienty)
                                setElementData(player,"Теплоход_машина_пациент",0)
                                if not getElementData(player,"Заработано_Всего_Теп") then
                                    setElementData(player,"Заработано_Всего_Теп",0)
                                end
                                if not getElementData(player,"Заработано_Сейчас_Теп") then setElementData(player,"Заработано_Сейчас_Теп",0) end
                                setElementData(player,"Заработано_Всего_Теп",getElementData(player,"Заработано_Всего_Теп") + getElementData(player,"Заработано_Сейчас_Теп"))
                                deleteMarkerShip(player)
                                setElementFrozen(veh,false)
                                
                                setElementData(player,"teploKolvo",getElementData(player,"teploKolvo")+1)
                                if getElementData(player,"teploKolvo") >= #Customer then
                                    restoreMarkerCurrentState ()
                                    local hodok = tonumber(state)
                                    local profit = getElementData(player,"Заработано_Всего_Теп")
                                    if not profit then profit = 0 end
                        
                                    setElementData(player,"Заработано_Всего_Теп",nil)
                                    setElementData(player,"Заработано_Сейчас_Теп",nil)
                                    triggerServerEvent("stop_ship",player,player)
                                    triggerServerEvent("giveMoneyShip",player,player,profit)
                                    setElementData(player,"Теплоход_работает",nil)
                                    setElementModel(player,getElementData(player,"Теплоход_скин_до"))
                                    deleteMarkerShip(player)
                                else
                                    createMarkerShip(player)
                                    outputChatBox("#FFFF00[Диспетчер] #FFFFFFОтправляйтесь на следующую точку. Всего заработано: #00FF00"..getElementData(player,"Заработано_Всего_Теп").." #FFFFFFруб.",255,255,255,true)
                                end
                            end
                        end
                    end,10000,1)
                end
            end
        end
    end
end
addEventHandler("onClientMarkerHit", getRootElement(), onClientMarkerHit )

addEventHandler ( "onClientPickupHit", getRootElement(), function(ply)
	if ply ~= localPlayer then return end
	if source == pickupUs then
        local state = getElementData(ply,"Теплоход_работает")
        local veh = getPedOccupiedVehicle(ply)
        if not veh then
            guiSetVisible(wndCon,true)
            showCursor(true)
            if not state then
                guiSetText(buttonCon1,"Начать")
            else
                guiSetText(buttonCon1,"Завершить")
            end
        end
	end
end)