local cRoutes = {} 
function startRoute(vid,base,rid)
	local vData = routesTable[base]["Vehicles"][vid]
	local pay = routesTable[base]["Routes"][rid][2]*vData[3]
	local pos = routesTable[base].VehiclePoint
	local veh = createVehicle(vData[1],pos[1],pos[2],pos[3],0,0,pos[4])
	local trailer = createVehicle ( 450, 0, 0, 4, 270 )
	setElementData(source,'tr',trailer)
	attachTrailerToVehicle (veh, trailer)
	setVehicleColor(veh,150,150,150)
	warpPedIntoVehicle( source, veh )
	table.insert(cRoutes,{source,veh,pay,trailer})
	outputChatBox(routesTable[base].Msg1,source,50,200,50)
end
addEvent("truck1StartRoute",true)
addEventHandler("truck1StartRoute",root,startRoute)

function endRoute()
	for k,v in pairs(cRoutes) do
		if v[1] == source then
			if getPedOccupiedVehicle( source ) == v[2] then
				if v[4] == getElementData( source, 'tr') then
					destroyElement(v[2])
					givePlayerMoney(v[1],v[3])
					destroyElement(v[2])
	        		destroyElement(v[4])				
					outputChatBox("Вы успешно завершили маршрут и получили "..v[3],v[1],0,255,0,true)
					table.remove(cRoutes,k)
					triggerClientEvent(source,"destroyTruck1Markers",source)
			
				end
			else
				outputChatBox("Это не ваш служебный автомобиль!",source,255,100,100)
			end
		end
	end
end
addEvent("truck1EndRoute",true)
addEventHandler("truck1EndRoute",root,endRoute)

function breakRoute(id)
	local r = cRoutes[id]
	if isElement(r[1]) then
		outputChatBox("Вы провалили выполнение маршрута!",r[1],200,50,50,true)
	end
	if isElement(r[2]) then
		destroyElement(r[2])
		destroyElement(r[4])
	end
	table.remove(cRoutes,id)
end

function isPlayerInRoute(ply)
	for k,v in pairs(cRoutes) do
		if v[1] == ply then
			return true
		end
	end
end

function checkRoutes()
	for k,v in pairs(cRoutes) do
		if isElement(v[1]) and isElement(v[2]) then
			if getVehicleController(v[2]) ~= v[1] then
				breakRoute(k)
			end
		else
			breakRoute(k)
		end
	end
	setTimer(checkRoutes,3000,1)
end
checkRoutes()

for k,v in pairs(routesTable) do
	local pos = v.MarkerPosition
	local mrk = createMarker(pos[1],pos[2],pos[3],"cylinder",2,50,50,200)
	local blip = createBlipAttachedTo(mrk,v.Blip)
	setBlipVisibleDistance(blip,200)
	setElementData(mrk,"trucker_mirniy",k)
end

addEventHandler("onPlayerMarkerHit",getRootElement(),function(mrk)
	local data = getElementData(mrk,"trucker_mirniy")
	if getElementData(source, "lvl") <4 then 
	--outputChatBox ("Данная работа с 4 уровня.",source,250,0,0, true) 
	return 
	end   
	if data then
		if isPlayerInRoute(source) then return end
		if isPedInVehicle(source) then return end
		triggerClientEvent(source,"initTruck1Window",source,data)
	end
end)