﻿--------------------------------------------[Устройство]
local entradaB = createMarker(2201.0354003906,-1970.2646484375,13.48413105011, "cylinder", 1, 255, 255, 255, 0)

addEventHandler( "onClientRender", root, function (  )
       local x, y, z = getElementPosition( entradaB )
       local Mx, My, Mz = getCameraMatrix(   )
        if ( getDistanceBetweenPoints3D( x, y, z, Mx, My, Mz ) <= 20 ) then
           local WorldPositionX, WorldPositionY = getScreenFromWorldPosition( x, y, z +1, 0.07 )
            if ( WorldPositionX and WorldPositionY ) then
			    dxDrawText("Работа мусоровоза", WorldPositionX - 1, WorldPositionY + 1, WorldPositionX - 1, WorldPositionY + 1, tocolor(0, 0, 0, 255), 1.52, "default-bold", "center", "center", false, false, false, false, false)
			    dxDrawText("Работа мусоровоза", WorldPositionX - 1, WorldPositionY + 1, WorldPositionX - 1, WorldPositionY + 1, tocolor(255, 255, 255, 255), 1.50, "default-bold", "center", "center", false, false, false, false, false)
            end
      end
end
)
---------------------------------------------

local pacienty = { -- Координаты спавна, зарплата
{782.77667236328,-671.77355957031,-0.88575005531311,16500},
{545.69830322266,-370.00375366211,-0.96793746948242,19000},
{512.84564208984,-160.99800109863,-0.93776321411133,17400},
{620.4892578125,-252.35998535156,-0.96725010871887,18800},
{681.94940185547,-256.30010986328,-0.96725010871887,10100},
{714.65606689453,-142.39738464355,-0.966437458992,10000},
{611.83459472656,-84.847229003906,-0.96943759918213,15000},
{704.07202148438,-597.73907470703,-0.9481874704361,17600},
}

local pickupMed = { -- Маркер устройства
{954.15002441406,-388.04083251953,8.9},
}

local rPoint = { -- Пункт приема
{922.51940917969,-422.390625,9.0766878128052},
}

for a=1,#pickupMed do
    local x,y,z = pickupMed[a][1],pickupMed[a][2],pickupMed[a][3]
    local marker = createMarker( x, y, z-0.85, "cylinder", 1, 255, 50, 50, 100)
    setElementData(marker,"Мусоровоз_маркер_устроиться",a)
    local blip = createBlip(x, y, z, 11, 2)
    setBlipVisibleDistance(blip, 400)
end

function centerWindow ( center_window )
	local sx, sy = guiGetScreenSize ( )
	local windowW, windowH = guiGetSize ( center_window, false )
	local x, y = ( sx - windowW ) / 2, ( sy - windowH ) / 2
	guiSetPosition ( center_window, x, y, false )
end

local sw,sh = guiGetScreenSize()
local window={}
local label={}
local button={}

window[1] = guiCreateStaticImage(0, 0, 0.45, 0.45, "Settled.png", true)
centerWindow(window[1])
button[1] = guiCreateButton(0.42, 0.85, 0.235, 0.09,"...", true, window[1])
guiSetAlpha(button[1], 0)
button[2] = guiCreateButton(0.705, 0.85, 0.235, 0.09,"Закрыть", true, window[1])
guiSetAlpha(button[2], 0)
guiSetVisible(window[1],false)

function changeWalkSettings (arg)
    toggleControl("sprint", arg)
    toggleControl("jump", arg)
    toggleControl("aim_weapon", arg)
    toggleControl("next_weapon", arg)
    toggleControl("previous_weapon", arg)
    toggleControl("fire", arg)
end 

-------------------------------------------------------------------

-- Создание маркера около багажника!
function openBagaznik()
    local state = getElementData(getLocalPlayer(),"Мусоровоз_работает")
    if state then
        if not getPedOccupiedVehicle(getLocalPlayer()) then return end
        local sx,sy,sz = getElementVelocity(getPedOccupiedVehicle(getLocalPlayer()))
        local kmh = ((sx^2+sy^2+sz^2)^(0.5)) * 100
        if kmh < 5 then
            if getElementData(getLocalPlayer(),"OpenBaga") == 1 then
                setElementData(getLocalPlayer(),"OpenBaga",0)
                setElementFrozen(getPedOccupiedVehicle(localPlayer),false)
                outputChatBox("#FFFF00[Диспетчер] #FFFFFFБагажник закрыт.",255,255,255,true)
                local marker = getElementData(localPlayer,"Мусоровоз_Багажник")
                if marker then
                    if isElement(marker) then destroyElement(marker) end
                end
            else
                local car = getPedOccupiedVehicle(getLocalPlayer())
                local x,y,z = getPositionFromElementOffset(car,0,-4.5,-1.5)
                pickupOnLoad = createMarker(x, y, z,"cylinder", 1.5, 0, 255, 0, 180)
                setElementData(pickupOnLoad,"Мусоровоз_Багажник",true)
                setElementData(getLocalPlayer(),"Мусоровоз_Багажник",pickupOnLoad)
        
                setElementFrozen(getPedOccupiedVehicle(localPlayer),true)
                setElementData(getLocalPlayer(),"OpenBaga",1)
                outputChatBox("#FFFF00[Диспетчер] #FFFFFFБагажник открыт, погрузите в него мешок с мусором.",255,255,255,true)
            end
        else
            outputChatBox("#FFFF00[Диспетчер] #FFFFFFВаша скорость слишком высокая! Открыть багажник нельзя.",255,255,255,true)
        end
    end
end
bindKey("3", "down", openBagaznik)

function getPositionFromElementOffset(element,offX,offY,offZ)
	if not offX or not offY or not offZ then
		return false
	end
    local m = getElementMatrix ( element )
    local x = offX * m[1][1] + offY * m[2][1] + offZ * m[3][1] + m[4][1]
    local y = offX * m[1][2] + offY * m[2][2] + offZ * m[3][2] + m[4][2]
    local z = offX * m[1][3] + offY * m[2][3] + offZ * m[3][3] + m[4][3]
    return x, y, z 
end

function deleteMarkerBaga(player)
    if player == getLocalPlayer() then
        local marker = getElementData(player,"Мусоровоз_Багажник")
        if marker then
            triggerServerEvent("onPlayerPut", player)
            changeWalkSettings(true)
            if isElement(marker) then destroyElement(marker) end
        end
    end
end

-------------------------------------------------------------------

function createMarkerGarbage(player)
    if player == getLocalPlayer() then
        local d = math.random(1,#pacienty)
        local x,y,z = pacienty[d][1],pacienty[d][2],pacienty[d][3]
        setElementData(player,"Мусоровоз_Кэш",pacienty[d][4])
        local blip = createBlip(x,y,z,41,3)
        setElementData(player,"Мусоровоз_пациент_блип",blip)
        local marker = createMarker( x, y, z-1, "cylinder", 1.5, 0, 255, 0, 0)
        setElementData(marker,"Мусоровоз_маркер_пациент",true)
        setElementData(player,"Мусоровоз_маркер_пациент",marker)    

        local wood = createObject(1344, x, y, z-0.2)
        setObjectScale(wood, 1)
        setElementData(player, "attached", wood)        
    end
end

function deleteMarkerGarbage(player)
    if player == getLocalPlayer() then
        local blip = getElementData(player,"Мусоровоз_пациент_блип")
        local marker = getElementData(player,"Мусоровоз_маркер_пациент")
        local wood = getElementData(player,"attached")
        if marker then
            if isElement(marker) then destroyElement(marker) end
        end
        if blip then
            if isElement(blip) then destroyElement(blip) end
        end
        if wood then
            if isElement(wood) then destroyElement(wood) end
        end
    end
end
addEvent("deleteMarkerGarbage", true)
addEventHandler("deleteMarkerGarbage", getRootElement(), deleteMarkerGarbage)

function createMarkerGarbage2(player)
    if player == getLocalPlayer() then
        local a1 = getElementData(player,"Мусоровоз_работает_номер")
        local d = math.random(1,#rPoint)
        local x,y,z = rPoint[d][1],rPoint[d][2],rPoint[d][3]
        local marker2 = createMarker(x, y, z-1, "cylinder", 3, 0, 255, 0, 180)
        local blip = createBlip(x,y,z,41,3)
        setElementData(player,"Мусоровоз_пациент_блип",blip)
        setElementData(marker2,"Мусоровоз_маркер_чекпоинт",a1)
        setElementData(player,"Мусоровоз_маркер_чекпоинт",marker2)
    end
end

function deleteMarkerGarbage2(player)
    if player == getLocalPlayer() then
        local marker = getElementData(player,"Мусоровоз_маркер_чекпоинт")
        local blip = getElementData(player,"Мусоровоз_пациент_блип")
        if marker then
            if isElement(marker) then destroyElement(marker) end
        end
        if blip then
            if isElement(blip) then destroyElement(blip) end
        end
    end
end
addEvent("deleteMarkerGarbage2", true)
addEventHandler("deleteMarkerGarbage2", getRootElement(), deleteMarkerGarbage2)

function startClick()
    local player = getLocalPlayer()
    if (source == button[1]) then
        guiSetVisible(window[1],false)
        showCursor(false)
        local state = getElementData(player,"Мусоровоз_работает")
        local a1 = getElementData(player,"Мусоровоз_маркер_устроиться")
        if not state then
            triggerServerEvent("start_Garbage",player,player)
            setElementData(player,"Мусоровоз_работает",0)
            setElementData(player,"Мусоровоз_работает_номер",a1)
            createMarkerGarbage(player)
            outputChatBox("#FFFF00[Диспетчер] #FFFFFFВы начали работу. Следуйте к метке.",255,255,255,true)
            outputChatBox("#FFFF00[Диспетчер] #FFFFFFОткрыть/закрыть багажник - 3",255,255,255,true)
            setElementData(player,"OpenBaga",0)
            setElementData(player,"vzat",0)
        else
            local hodok = tonumber(state)
            local profit = getElementData(player,"Мусоровоз_Прибавление")
            if not profit then profit = 0 end
            
            setElementData(player,"Мусоровоз_Прибавление",nil)
            setElementData(player,"Мусоровоз_Кэш",nil)
            triggerServerEvent("stop_Garbage",player,player)
            triggerServerEvent("giveMoneyGarbage",player,player,profit,profi)
            setElementData(player,"Мусоровоз_работает",nil)
            setElementData(player,"Мусоровоз_работает_номер",nil)
        end
    elseif (source == button[2]) then
        guiSetVisible(window[1],false)
        showCursor(false)
    end
end
addEventHandler("onClientGUIClick", getRootElement(), startClick)

function onClientMarkerHit(player, mdim )
    if player == getLocalPlayer() then
        if mdim then
            local marker = source
            local veh = getPedOccupiedVehicle(player)
            local state = getElementData(player,"Мусоровоз_работает")
            local a1 = getElementData(marker,"Мусоровоз_маркер_устроиться")
            if a1 then
                if not veh then
                        guiSetVisible(window[1],true)
                        showCursor(true)
                        setElementData(player,"Мусоровоз_маркер_устроиться",a1)
                        if not state then
                            guiSetText(button[1],"Начать")
                            guiStaticImageLoadImage(window[1],"Settled.png")
                        else
                            guiSetText(button[1],"Завершить")
                            guiStaticImageLoadImage(window[1],"Quit.png")
                        end
                end
            elseif getElementData(marker,"Мусоровоз_Багажник") then
                if getElementData(player,"vzat") == 0 then return outputChatBox("#FFFF00[Диспетчер] #FFFFFFВы не взяли мешок с мусором!",255,255,255,true) end
                setPedAnimation(player,"CARRY", "putdwn",1500,false,true,true,false)
                deleteMarkerBaga(player)
                setElementFrozen(player,true) setTimer(function() setElementFrozen(player,false) end, 1500, 1)
                outputChatBox("#FFFF00[Диспетчер] #FFFFFFМешок с мусором успешно погружен. Закройте багажник и отправляйтесь на свалку.",255,255,255,true)
            elseif getElementData(marker,"Мусоровоз_маркер_пациент") then
                if not veh then
                    if getElementData(player,"OpenBaga") == 0 then return outputChatBox("#FFFF00[Диспетчер] #FFFFFFВы не открыли багажник!",255,255,255,true) end
                    triggerServerEvent("onPlayerTake", player)
                    setElementData(player,"vzat",1)
                    changeWalkSettings(false)
                        setTimer(function()
                        if isElement(player) and getElementData(player,"Мусоровоз_работает") then
                            deleteMarkerGarbage(player)
                            createMarkerGarbage2(player)
                                local veh2 = getElementData(player,"Мусоровоз_машина")
                                if veh2 then
                                    setElementData(veh2,"Мусоровоз_машина_пациент",tonumber(getElementData(veh2,"Мусоровоз_машина_пациент")) + 1)
                                end
                            end
                        end,1500,1)
                end
            elseif getElementData(marker,"Мусоровоз_маркер_чекпоинт") then
                if veh then
                    local pacienty = tonumber(getElementData(veh,"Мусоровоз_машина_пациент"))
                    if pacienty > 0 then
                        setElementData(player,"Мусоровоз_работает",tonumber(state) + pacienty)
                        setElementData(veh,"Мусоровоз_машина_пациент",0)
                        if not getElementData(player,"Мусоровоз_Прибавление") then
                            setElementData(player,"Мусоровоз_Прибавление",0)
                        end
                        if not getElementData(player,"Мусоровоз_Кэш") then setElementData(player,"Мусоровоз_Кэш",0) end
                        setElementData(player,"Мусоровоз_Прибавление",getElementData(player,"Мусоровоз_Прибавление") + getElementData(player,"Мусоровоз_Кэш"))
                        deleteMarkerGarbage2(player)
                        outputChatBox("#FFFF00[Диспетчер] #FFFFFFВыгружаем мешок, подождите..",255,255,255,true)
                        setElementFrozen(veh,true)
                        setTimer(function()
                            if isElement(player) and getElementData(player,"Мусоровоз_работает") then
                                createMarkerGarbage(player)
                                setElementFrozen(veh,false)
                                outputChatBox("#FFFF00[Диспетчер] #FFFFFFОтправляйтесь на новую метку!",255,255,255,true)
                            end
                        end,10000,1)
                    end
                end
            end
        end
    end
end
addEventHandler("onClientMarkerHit", getRootElement(), onClientMarkerHit )

function job_quit_Garbage()
    local player = source
	    if player == getLocalPlayer() then
        local state = getElementData(player,"Мусоровоз_работает")
        if state then
            local profit = getElementData(player,"Мусоровоз_Прибавление")
            if not profit then profit = 0 end
        
            setElementData(player,"Мусоровоз_Прибавление",nil)
            setElementData(player,"Мусоровоз_Кэш",nil)
            triggerServerEvent("stop_Garbage",player,player)
            triggerServerEvent("giveMoneyGarbage",player,player,profit,profi)
            outputChatBox("#FFFF00[Диспетчер] #FFFFFFВаша зарплата #00FF00"..profit.." #FFFFFFруб.",255,255,255,true)
        end
	end
end
addEventHandler("onClientPlayerWasted", root, job_quit_Garbage)