﻿addEventHandler ("onResourceStart", resourceRoot, function ()
local pickup = createPickup (posJob, 3, 1275, 1000)
setElementInterior (pickup, intJob)
setElementDimension (pickup, dimJob)
addEventHandler ("onPickupHit", pickup, open)
for i, v in ipairs (tableTramSpawn) do
	local veh = createVehicle (TramvaiID, v[1], v[2], v[3], 0, 0, rotTramvai)
	setTimer (function()
	--	local trailer = createVehicle (TramvaiID, v[1], v[2], v[3], 0, 0, rotTramvai)
	--	attachTrailerToVehicle (veh, trailer)
	--	addEventHandler ("onVehicleStartEnter", trailer, enterTrailer)
	end, 100, 1)
	setElementData (veh, "startPos", {v[1], v[2], v[3]})
	setTrainDerailable (veh, false)
	addEventHandler ("onVehicleStartEnter", veh, enterTram)
	addEventHandler ("onVehicleEnter", veh, onEnterTramvai)
end
end)

function enterTrailer (pl, seat)
if seat == 0 then
	cancelEvent ()
end
end

function open (el)
if getElementType (el) == "player" then
	if getElementData(el, "lvl") < 3 then outputChatBox ( "Данная работа с 3 уровня.", el, 255, 0, 0, true ) return end
	if not isPedInVehicle (el) then	
		triggerClientEvent (el, "showJobTramvai1", el)
	end
end
end

function changeJobTram (pl, bool)
if bool == false then
	outputChatBox ("Вы уволились с работы в ТТУ", pl, 255, 0, 0, true)
else
	outputChatBox ("Вы устроились на работу в ТТУ", pl, 0, 255, 0, true)
end

setElementData (pl, "job:Tramvai1", bool)
spawnTramvai (pl, bool)
end
addEvent ("changeJobTram", true)
addEventHandler ("changeJobTram", root, changeJobTram)

function enterTram (pl, seat)
if seat == 0 and not getElementData (pl, "job:Tramvai1") then 
	outputChatBox("Вы не работаете в ТТУ!", pl, 255, 0, 0)
	cancelEvent () 
end
end

function respawnTram (el)
if getElementModel (el) == TramvaiID and getElementData (el, "startPos") then
	setElementVelocity (el, 0, 0, 0)
	setElementPosition (el, getElementData (el, "startPos")[1], getElementData (el, "startPos")[2], getElementData (el, "startPos")[3])
	setElementRotation (el, 0, 0, rotTramvai)
	removeEventHandler ("onVehicleExit", el, stopJob1)
end
end


function spawnTramvai (pl, bool)
if bool == true then
else
	for i, v in ipairs (getElementsByType ("vehicle")) do
		if getElementModel (v) == TramvaiID then
			local owner = getElementData (v, "OwnerTramvai")
			if owner == pl then
				destroyElement (v)
			end
		end
	end
end
end

function stopJob1 (pl, seat)
if getElementModel (source) ~= TramvaiID then return end
if seat ~= 0 then return end
spawnTramvai (pl, false)
respawnTram (source)
removeRoute (pl)
end

function removeRoute (pl)
triggerClientEvent (pl, "removeRoute", pl)
end


function onEnterTramvai (pl, seat)
if seat ~= 0 then return end
addEventHandler ("onVehicleExit", source, stopJob1)
triggerClientEvent (pl, "createRouteTram", pl)
end

function giveMoney (pl, money)
givePlayerMoney (pl, tonumber(money))
end
addEvent ("Tramvai:giveMoney66", true)
addEventHandler ("Tramvai:giveMoney66", root, giveMoney)

function giveExp (pl, exp)
setElementData(pl,"exp",getElementData(pl,"exp")+exp)
end
addEvent ("Tramvai:giveExp", true)
addEventHandler ("Tramvai:giveExp", root, giveMoney)

function freeze (el, bool)
setElementFrozen (el, bool)
end
addEvent ("Tramvai:freeze", true)
addEventHandler ("Tramvai:freeze", root, freeze)